<?php

// Database configuration
$host = 'localhost'; // Database host
$dbname = 'abuhabel_naqaba'; // Database name
$username = 'abuhabel_autoparts2021'; // Database username
$password = 'Sky@Line@1990'; // Database password

// Set the content type to JSON for the response
header('Content-Type: application/json');

// Check if the request method is POST
if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    // Get the raw POST data
    $input = file_get_contents('php://input');
    
    // Decode the JSON data to a PHP array
    $data = json_decode($input, true);

    // Check if the JSON decoding was successful
    if ($data === null) {
        echo json_encode([
            'status' => 'error',
            'message' => 'Please fill all required inputs'
        ]);
        exit;
    }

    // Get the username and password from the JSON data
    $usernames = $data['username'] ?? null;
    $passwords = $data['password'] ?? null;

    // Check if the required parameters are provided
    if (!$usernames || !$passwords) {
        echo json_encode([
            'status' => 'error',
            'message' => 'Missing required parameters: username or password'
        ]);
        exit;
    }

    // Connect to the database
    $dsn = "mysql:host=$host;dbname=$dbname;charset=utf8mb4";
    try {
        $pdo = new PDO($dsn, $username, $password);
        // Set the PDO error mode to exception
        $pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        
        // Prepare the SQL statement
        $stmt = $pdo->prepare("SELECT * FROM Members WHERE memberId = :username AND password = :password");
        $stmt->bindParam(':username', $usernames);
        $stmt->bindParam(':password', $passwords);
        
        // Execute the statement
        $stmt->execute();
        
        // Fetch the result
        $user = $stmt->fetch(PDO::FETCH_ASSOC);
        
        // Check if any rows are returned (successful login)
        if ($user) {
            echo json_encode([
                'status' => 'success',
                'message' => 'Login successful',
                'result' => [$user] // Wrap the user data in an array
            ]);
        } else {
            echo json_encode([
                'status' => 'error',
                'message' => 'Invalid username or password'
            ]);
        }
    } catch (PDOException $e) {
        // Return a database error
        echo json_encode([
            'status' => 'error',
            'message' => 'Database error: ' . $e->getMessage()
        ]);
    }
} else {
    // Handle non-POST requests
    echo json_encode([
        'status' => 'error',
        'message' => 'Invalid request method. Only POST is allowed.'
    ]);
}
?>
